<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.tencent.liteav.live.ui.MeetingMainActivity">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/transparent" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/gl_horizontal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.5" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/gl_vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/group_bottom_tool_bar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="img_more,img_audio,img_video,img_member,img_link" />
    <!--        app:constraint_referenced_ids="img_more,img_audio,img_video,img_member,img_beauty" />-->


    <FrameLayout
        android:id="@+id/fl_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        tools:visibility="visible">

        <Button
            android:visibility="gone"
            android:layout_margin="15dp"
            android:id="@+id/btn_rotate"
            android:onClick="rotate"
            android:text="旋转"
            android:layout_gravity="bottom|right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/group_screen_capture"
        android:visibility="gone"
        android:background="#AAAAAA"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/tv_screen_capture_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/trtclive_tv_screen_capture"
            android:textColor="@color/trtcmeeting_color_white"
            android:textSize="16sp"
            app:layout_constraintBottom_toTopOf="@+id/tv_stop_screen_capture"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <TextView
            android:id="@+id/tv_stop_screen_capture"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/trtcmeeting_btn_exit"
            android:text="@string/trtclive_tv_stop_screen_capture"
            android:textColor="@color/trtcmeeting_color_white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_screen_capture_tag" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.tencent.liteav.live.ui.MeetingHeadBarView
        android:id="@+id/view_meeting_head_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:layout_marginTop="28dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/tool_bar_view"
        android:layout_width="wrap_content"
        android:layout_height="1px"
        android:layout_marginBottom="5dp"
        app:layout_constraintBottom_toTopOf="@+id/img_audio"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tool_bar_view" />

    <ListView
        android:id="@+id/lv_im_msg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="15dp"
        android:cacheColorHint="@color/trtcliveroom_transparent"
        android:divider="#3c421b1b"
        android:scrollbarStyle="outsideOverlay"
        android:scrollbars="none"
        android:stackFromBottom="true"
        app:layout_constraintBottom_toBottomOf="@+id/tool_bar_view"
        app:layout_constraintEnd_toEndOf="@id/gl_vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/gl_horizontal"
        tools:visibility="visible" />


    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_message"
        android:layout_marginBottom="15dp"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcliveroom_icon_message"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/img_audio"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_close"
        android:visibility="gone"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcliveroom_close"
        app:layout_constraintEnd_toStartOf="@+id/img_member"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/img_message" />

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_audio"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcmeeting_ic_audio"
        app:layout_constraintEnd_toStartOf="@+id/img_message"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/img_video"
        app:layout_constraintTop_toTopOf="@+id/img_message" />

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_video"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcmeeting_ic_video"
        app:layout_constraintEnd_toStartOf="@+id/img_link"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/img_audio"
        app:layout_constraintTop_toTopOf="@+id/img_audio" />


    <!--    <androidx.appcompat.widget.AppCompatImageButton-->
    <!--        android:id="@+id/img_video"-->
    <!--        style="@style/TRTCMeetingButtonTheme"-->
    <!--        android:src="@drawable/trtcmeeting_ic_video"-->
    <!--        app:layout_constraintEnd_toStartOf="@+id/img_member"-->
    <!--        app:layout_constraintHorizontal_bias="0.5"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/img_audio"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/img_audio" />-->

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_link"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/ic_bell"
        app:layout_constraintEnd_toStartOf="@+id/img_member"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/img_video"
        app:layout_constraintTop_toTopOf="@+id/img_video" />

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_member"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcmeeting_ic_member"
        app:layout_constraintEnd_toStartOf="@+id/img_more"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/img_link"
        app:layout_constraintTop_toTopOf="@+id/img_link" />

    <!--    <androidx.appcompat.widget.AppCompatImageButton-->
    <!--        android:id="@+id/img_member"-->
    <!--        style="@style/TRTCMeetingButtonTheme"-->
    <!--        android:src="@drawable/trtcmeeting_ic_member"-->
    <!--        app:layout_constraintEnd_toStartOf="@+id/img_more"-->
    <!--        app:layout_constraintHorizontal_bias="0.5"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/img_video"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/img_video" />-->

    <!--    <androidx.appcompat.widget.AppCompatImageButton-->
    <!--        android:id="@+id/img_more"-->
    <!--        style="@style/TRTCMeetingButtonTheme"-->
    <!--        android:src="@drawable/trtcmeeting_ic_more"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintHorizontal_bias="0.5"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/img_member"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/img_video" />-->

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/img_more"
        style="@style/TRTCMeetingButtonTheme"
        android:src="@drawable/trtcmeeting_ic_more"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/img_member"
        app:layout_constraintTop_toTopOf="@+id/img_member" />

    <ViewStub
        android:id="@+id/view_stub_remote_user"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/trtclive_viewstub_remote_user_list" />

</androidx.constraintlayout.widget.ConstraintLayout>
